function init(hero) {
    hero.setName("Rocket Raccoon");
    hero.setTier(4);
    
	hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.torso");
    hero.setLeggings("item.superhero_armor.piece.legs");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addPrimaryEquipment("fiskheroes:chronos_rifle", true);
    
    hero.addPowers( "pack:wall_crawling", "fiskheroes:leaping", "pack:cosmic_empowerment", "fiskheroes:grenades");
hero.addAttribute("WEAPON_DAMAGE", 1, 0);
    hero.addAttribute("PUNCH_DAMAGE", 3.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 20.0, 0);
	 hero.addAttribute("SPRINT_SPEED", 0.75, 1);   
    hero.addAttribute("JUMP_HEIGHT", 1.0, 1);
    
    hero.addKeyBind("EARTHQUAKE", "Ground Bomb", 1);
	    hero.addKeyBind("TELEPORT", "Pocket Dimension 'Port", 2);
     hero.addKeyBind("AIM", "key.aim", -1);   
    hero.addKeyBind("UTILITY_BELT", "key.grenades", 3);
	

    hero.setDefaultScale(0.45);  
    hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);
}

function hasPermission(entity, permission) {
    return permission == "USE_CHRONOS_RIFLE";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:chronos_rifle";
}


